﻿#include <QApplication>
#include <QAction>
#include <QIcon>
#include <QMainWindow>
#include <QMenu>
#include <QMenuBar>

int main(int argc, char *argv[])
{
   Q_INIT_RESOURCE(example_qmenu);

   QApplication app(argc, argv);
   QMainWindow window;
   QAction rename;
   rename.setText("Rename");
   rename.setShortcut(Qt::Key_F2);
   rename.setStatusTip("Rename current system");

   QAction edit;
   edit.setText(QAction::tr("Edit"));
   edit.setIcon(QIcon(":/edit.png"));

   QMenu* menu = window.menuBar()->addMenu("Menu");
   menu->setStyleSheet("QMenu::item{padding-left:100px;padding-right:100px}");
   menu->addAction(&rename);
   menu->addAction(&edit);
   window.show();

   return app.exec();
}
